package sort;

use strict;
use warnings;

our $VERSION = '2.05';

sub import {
    shift;
    if (@_ == 0) {
	require Carp;
	Carp::croak("sort pragma requires arguments");
    }
    $^H{sort} //= 0;
    for my $subpragma (@_) {
        next
            if $subpragma eq 'stable' || $subpragma eq 'defaults';
        require Carp;
        Carp::croak("sort: unknown subpragma '$_'");
    }
}

sub unimport {
    shift;
    if (@_ == 0) {
	require Carp;
	Carp::croak("sort pragma requires arguments");
    }
    for my $subpragma (@_) {
        next
            if $subpragma eq 'stable';
        require Carp;
        Carp::croak("sort: unknown subpragma '$_'");
    }
}

sub current {
    warnings::warnif("deprecated", "sort::current is deprecated, and will always return 'stable'");
    return 'stable';
}

1;
__END__

